@use 'shop/resources/scss/base/constants/colors';

html,
body {
  border: 0;
  margin: 0;
  padding: 0;
  vertical-align: baseline;
}

html {
  overflow: visible;
  background-color: white;
  box-sizing: border-box;
}

body {
  -webkit-text-size-adjust: 100%;
  text-size-adjust: 100%;
  background-color: transparent;
  cursor: auto;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

button {
  cursor: pointer;
  border: none;
  padding: 0;
  margin: 0;
  background: transparent;
  color: inherit;
  font: inherit;
  outline: inherit;
  display: inline-flex;
  width: max-content;

  &:focus {
    box-shadow: 0 0 0 2px colors.$color-primary-dark;
  }
}

input {
  color: inherit;
  font: inherit;
  outline: inherit;
}

p {
  margin: 0;
}

p + p {
  margin-top: 1em;
}

ul {
  list-style: none;
  margin: 0;
  padding: 0;
}

a {
  text-decoration: none;
  color: inherit;
}

h1, h2, h3, h4, h5, h6 {
  font-size: inherit;
  margin-block-start: 0;
  margin-block-end: 0;
}